Package twisted :: Package protocols :: Module pop3 :: Class POP3Client

[frames | no frames]

## Class POP3Client

    BaseProtocol --+
                   |
            Protocol --+
                       |
        LineOnlyReceiver --+
                           |
                          POP3Client

Method Summary
| `_dispatch(self, command, default, *args)`
| `apop(self, user, digest)`
| `apopAuthenticate(self, user, password, magic)`
| `dele(self, i)`
| `handle_default(self, line)`
| `handle_WELCOME(self, line)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| `list(self, i)`
| `pass_(self, pass_)`
| `quit(self)`
| `retr(self, i)`
| `sendLong(self, command, params)`
| `sendShort(self, command, params)`
| `uidl(self, i)`
| `user(self, name)`
Inherited from LineOnlyReceiver
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`str` | `command` = `'WELCOME'`
`int` | `mode` = 1
`SRE_Pattern` | `welcomeRe` = `<(.*)>`
Inherited from LineOnlyReceiver
`str` | `_buffer` = `''`
`str` | `delimiter` = `'\r\n'`
`int` | `MAX_LENGTH` = 16384
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineOnlyReceiver.lineReceived` (inherited documentation)

Class Variable Details

### command

  Type:
    `str`
  Value:

        'WELCOME'

### mode

  Type:
    `int`
  Value:

        1

### welcomeRe

  Type:
    `SRE_Pattern`
  Value:

        <(.*)>

Generated by Epydoc 2.0 on Sat May 15 20:08:37 2004 | http://epydoc.sf.net